class Avto
    {
        private double Velikost;
        private string Barva;
        private bool Tip;

        // konstruktor

        public Avto()
        {
            this.Tip = true; // vsem avtom na začetku določim tip limuzine
            this.Velikost = 4.0; // in so 4 m veliki
            this.Barva = "nedoločena";

        }
        public Avto(string barvaKatera, bool tip, double velikost)
        {
            this.Barva = barvaKatera;
            this.Tip = tip;
            this.SpremeniVelikost(Velikost); // uporabimo metodo za spreminjanje velikosti

        }

        public double PovejVelikost ()
        {
            // velikost bomo povedali le na 0.5 metra natančno
            int velikostMetri = (int) this.Velikost;
            int decim = (int) ((this.Velikost - velikostMetri)*10);
            if (decim < 4) return velikostMetri + 0.0;
            if (decim < 5) return velikostMetri + 0.5;
            return velikostMetri + 4.0;

        }
        public bool SpremeniVelikost (double novaVelikost)
        {
            //smiselna nova velikost je le med 4 in 5 metri
            if ((novaVelikost > 4) && (novaVelikost <= 5))
            {
                Velikost = novaVelikost;
                return true; // sprememba je uspela
            }
            // v nasprotnem primeru  ne spremenimo velikosti in  javimo, da spremembe nismo naredili
            return false;
        }

        public string PovejBarvo ()
        {
            return this.Barva;
        }

        public void SpremeniBarvo (string b)
        {
            this.Barva = b;
        }
        public bool JeLimuzina ()
        {
            return this.Tip;
        }
        // ker se tip avta naknadno ne spremeni, metode za spreminjanje tipa sploh ne ponudimo uporabniku!


        // toString metoda
        public string toString ()
        {
            return ("Podatki o avtu so naslednji: Velikost je " + this.PovejVelikost () + "cm, barva: "
                + this.PovejBarvo () + " in je tip: " + this.JeLimuzina () + ".");
        }

        static void Main(string[] args)
        {
            Avto moj = new Avto();
            moj.Velikost = 460;
            moj.Barva = "rdec";
            moj.Tip = true;

            Console.WriteLine(moj.toString());
        }
    }
